Restore a stack from a restore point
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/restore-points/{restore_point_id}/restore"
payload = { "confirm": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirm: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/restore-points/{restore_point_id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/restore-points/{restore_point_id}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirm": "<string>"
}
'{
"restore_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "in_place",
"sequence": [
"<string>"
],
"warnings": [
"<string>"
],
"restore_point": {}
}{
"detail": "<string>",
"error_code": "<string>"
}{
"detail": "<string>",
"error_code": "<string>"
}{
"detail": "<string>",
"error_code": "<string>"
}{
"detail": "<string>",
"error_code": "<string>"
}Backups
Restore a stack from a restore point
Restores the stack in place from one of its restore points and answers 202 with the restore run and the sequence it follows. A safety restore point of the live stack is taken first when it can be. Requires backups.operate and the stack’s name as confirm.
POST
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
{stack_name}
/
restore-points
/
{restore_point_id}
/
restore
Restore a stack from a restore point
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/restore-points/{restore_point_id}/restore"
payload = { "confirm": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirm: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/restore-points/{restore_point_id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/restore-points/{restore_point_id}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirm": "<string>"
}
'{
"restore_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "in_place",
"sequence": [
"<string>"
],
"warnings": [
"<string>"
],
"restore_point": {}
}{
"detail": "<string>",
"error_code": "<string>"
}{
"detail": "<string>",
"error_code": "<string>"
}{
"detail": "<string>",
"error_code": "<string>"
}{
"detail": "<string>",
"error_code": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The imported cluster.
The stack's name on the cluster.
The restore point.
Body
application/json
Response
The restore run was opened.
The restore run to follow.
Available options:
in_place What the restore does, in order. It opens with the safety restore point when one is taken, naming its id.
The restore point being restored, without its manifest.